'use strict';

// Configuring the attestments module
angular.module('attestments').run(['Menus',
  function (Menus) {
    // Add the attestments dropdown item
    Menus.addMenuItem('topbar', {
      title: 'Attestments',
      state: 'attestments',
      type: 'dropdown',
      roles: ['*']
    });

    // Add the dropdown list item
    Menus.addSubMenuItem('topbar', 'attestments', {
      title: 'List Attestments',
      state: 'attestments.list'
    });

    // Add the dropdown create item
    Menus.addSubMenuItem('topbar', 'attestments', {
      title: 'Create Attestments',
      state: 'attestments.create',
      roles: ['user']
    });
  }
]);
